Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.xni.parser
Interface XMLDocumentScanner

All Known Implementing Classes:
  XMLDocumentFragmentScannerImpl

public interface XMLDocumentScanner
extends XMLDocumentSource

This interface defines a generic document scanner. This interface allows a scanner to be used interchangably in existing parser configurations.

If the parser configuration uses a document scanner that implements this interface, components should be able to query the scanner instance from the component manager using the following property identifier:

> "http://apache.org/xml/properties/internal/document-scanner"

Method Summary
`boolean` | `scanDocument(boolean complete)` Scans a document.
`void` | `setInputSource(XMLInputSource inputSource)` Sets the input source.

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLDocumentSource
`getDocumentHandler, setDocumentHandler`

Method Detail

### setInputSource

    public void setInputSource(XMLInputSource inputSource)
                        throws java.io.IOException

  Sets the input source.

  Parameters:
    `inputSource` - The input source.
  Throws:
    java.io.IOException - Thrown on i/o error.

### scanDocument

    public boolean scanDocument(boolean complete)
                         throws java.io.IOException,
                                XNIException

  Scans a document.

  Parameters:
    `complete` - True if the scanner should scan the document completely, pushing all events to the registered document handler. A value of false indicates that that the scanner should only scan the next portion of the document and return. A scanner instance is permitted to completely scan a document if it does not support this "pull" scanning model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD